% This program is used to test a number of different cases that will test
% our non-linear SVM

clear
clc
close all

% Load in the data
A = dlmread('data.txt');

% Get the size of the A matrix
[m,n] = size(A);

% Organize the data
x = A(:,1:n-1);
y = A(:,n);

% Need to replace all zeros with -1's for the svm to work
y(y==0) = -1;



C = 1;

for k=1:10
    
    [w,b] = nl_svm(x,y,'linear',1,C);

    % a 1-0 array whether the svm correctly predicted the point
    pred = zeros(m,1);

    % Find out how many of our data points were correctly sorted
    for i=1:m

        pred(i) = x(i,:)*w + b;

        if(pred(i) < 0 && y(i) < 0)
            pred(i) = 1;
        elseif(pred(i) > 0 && y(i) > 0)
            pred(i) = 1;
        else
            pred(i) = 0;
        end
    end

    fprintf('C = %d percent correct: %d\n',C,sum(pred)./m);
    
    C = C*10;
end
    
    


